<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
        <p:outputLabel value="Medidas de Justicia Penal Juvenil"/>
        <p:separator />
        <p:dataTable id="intervencionMEPLst" var="ent" 
        	value="#{legajoMB.instance.intervencionesMEP}"  
        	emptyMessage="No hay resultados para esa busqueda"
        	sortBy="#{ent.fechaListado}" sortOrder="descending">

			<p:column  headerText="Fecha" >
                <p:outputLabel value="#{ent.fechaListado}" >
                	<f:convertDateTime pattern="dd/MM/yyyy" />
                </p:outputLabel>
            </p:column>
            
			<p:column filterBy="#{ent.operadorPenalJuvenil.descripcion}" headerText="Nombre del dispositivo"  filterMatchMode="contains">
                <p:outputLabel value="#{ent.operadorPenalJuvenil.descripcion}" />
            </p:column>
            
            <p:column headerText="Tipo Intervención" >
                <p:outputLabel value="#{ent.tipoIntervencion.descripcion}" />
            </p:column>            
            
            <p:column headerText="Usuario Alta">
                <p:outputLabel value="#{ent.datosAuditoria.usuarioAlta.userName}" />
            </p:column>
                        
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="#{legajoMB.puedeEditarMP(ent.datosAuditoria.usuarioAlta.userName)?'Editar':'Consulta'}" />
                </f:facet>
                <p:commandButton id="editII"  action="#{intervencionMEPMB.edit(ent,true)}" icon="ui-icon-pencil" process="@this" rendered="#{legajoMB.puedeEditarMP(ent.datosAuditoria.usuarioAlta.userName)}">
                	<p:confirm header="Atención" message="Al salir de esta pantalla se perderan los cambios realizados en el legajo. Desea continuar?" icon="ui-icon-alert" />
                </p:commandButton>
                <p:commandButton id="editIIV"  action="#{intervencionMEPMB.edit(ent,true)}" icon="ui-icon-search" process="@this" rendered="#{!legajoMB.puedeEditarMP(ent.datosAuditoria.usuarioAlta.userName)}">
                </p:commandButton>
            </p:column>
            
            <p:column rendered="#{legajoMB.puedeBorrarMP()}">
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update="intervencionMEPLst,mainForm:legajoForm:addInterv" action="#{legajoMB.deleteMEP(ent)}" process="@this" rendered="#{legajoMB.puedeBorrarMP()}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar la Medidas de Justicia Penal Juvenil?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>	
        <p:separator />
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>  
</ui:composition>
